<template lang="html">
  <div class="app">
    <div class="roulette">
			<table>
				<tr class="nums">
					<td class="num green zero" rowspan="3" :class="{activeRed: first_four, street_0, street_1, num_0}"><span>0</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeToTwelve: hoveredFirstTwelve, activeInvent: hoveredInvent, activeFirstRow: hoveredFirstRow, first_four: first_four, active: six_line_0, street_1, street_2, num_3}" class="red">3</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeEvenNums: hoveredEvenNums, activeToTwelve: hoveredFirstTwelve, activeFirstRow: hoveredFirstRow, six_line_0: six_line_0, six_line_1:six_line_1, street_3, num_6}" class="black">6</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeToTwelve: hoveredFirstTwelve, activeInvent: hoveredInvent, activeFirstRow: hoveredFirstRow, six_line_1:six_line_1, six_line_2, street_4, num_9}" class="red">9</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeEvenNums: hoveredEvenNums, activeToTwelve: hoveredFirstTwelve, activeFirstRow: hoveredFirstRow, six_line_2, six_line_3, street_5, num_12}" class="red">12</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeInvent: hoveredInvent, activeToTwelve: hoveredFirstTwelve, activeSecondTwelve: hoveredSecondTwelve, activeFirstRow: hoveredFirstRow, six_line_3, six_line_4, street_6, num_15}" class="black">15</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeEvenNums: hoveredEvenNums, activeSecondTwelve: hoveredSecondTwelve, activeFirstRow: hoveredFirstRow, activeToTwelve: hoveredFirstTwelve, six_line_4, six_line_5, street_7, num_18}" class="red">18</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeInvent: hoveredInvent, activeToThirtySix: hoveredToThirtySix, activeSecondTwelve: hoveredSecondTwelve, activeFirstRow: hoveredFirstRow, six_line_5, six_line_6, street_8, num_21}" class="red">21</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeEvenNums: hoveredEvenNums, activeToThirtySix: hoveredToThirtySix, activeSecondTwelve: hoveredSecondTwelve, activeFirstRow: hoveredFirstRow, six_line_6, six_line_7, street_9, num_24}" class="black">24</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeInvent: hoveredInvent, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeFirstRow: hoveredFirstRow, six_line_7, six_line_8, street_10, num_27}" class="red">27</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeEvenNums: hoveredEvenNums, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeFirstRow: hoveredFirstRow, six_line_8, six_line_9,street_11, num_30}" class="red">30</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeInvent: hoveredInvent, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeFirstRow: hoveredFirstRow, six_line_9, six_line_10, street_12, num_33}" class="black">33</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeEvenNums: hoveredEvenNums, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeFirstRow: hoveredFirstRow, six_line_10, street_13, num_36}" class="red">36</span></td>
					<td class="sector" data-sector="1"><span class="vt">2 to 1</span></td>
				</tr>
				<tr class="nums">
					<td class="hidden"></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeEvenNums: hoveredEvenNums, activeToTwelve: hoveredFirstTwelve, activeSecondRow: hoveredSecondRow, first_four: first_four, six_line_0: six_line_0, street_0, street_1, street_2, num_2}" class="black">2</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeToTwelve: hoveredFirstTwelve, activeInvent: hoveredInvent, activeSecondRow: hoveredSecondRow, six_line_0: six_line_0, six_line_1:six_line_1, street_3, num_5}" class="red">5</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeEvenNums: hoveredEvenNums, activeToTwelve: hoveredFirstTwelve, activeSecondRow: hoveredSecondRow, six_line_1:six_line_1, six_line_2:six_line_2, street_4, num_8}" class="black">8</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeToTwelve: hoveredFirstTwelve, activeInvent: hoveredInvent, activeSecondRow: hoveredSecondRow, six_line_2, six_line_3, street_5, num_11}" class="black">11</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeToTwelve: hoveredFirstTwelve, activeEvenNums: hoveredEvenNums, activeSecondTwelve: hoveredSecondTwelve, activeSecondRow: hoveredSecondRow, six_line_3, six_line_4, street_6, num_14}" class="red">14</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeInvent: hoveredInvent, activeToTwelve: hoveredFirstTwelve, activeSecondTwelve: hoveredSecondTwelve, activeSecondRow: hoveredSecondRow, six_line_4, six_line_5, street_7, num_17}" class="black">17</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeEvenNums: hoveredEvenNums, activeToThirtySix: hoveredToThirtySix, activeSecondTwelve: hoveredSecondTwelve, activeSecondRow: hoveredSecondRow, six_line_5, six_line_6, street_8, num_20}" class="black">20</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeInvent: hoveredInvent, activeToThirtySix: hoveredToThirtySix, activeSecondTwelve: hoveredSecondTwelve, activeSecondRow: hoveredSecondRow, six_line_6, six_line_7, street_9, num_23}" class="red">23</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeEvenNums: hoveredEvenNums, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeSecondRow: hoveredSecondRow, six_line_7, six_line_8, street_10, num_26}" class="black">26</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeInvent: hoveredInvent, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeSecondRow: hoveredSecondRow, six_line_8, six_line_9, street_11, num_29}" class="black">29</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeEvenNums: hoveredEvenNums, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeSecondRow: hoveredSecondRow, six_line_9, six_line_10, street_12, num_32}" class="red">32</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeInvent: hoveredInvent, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeSecondRow: hoveredSecondRow, six_line_10, street_13, num_35}" class="black">35</span></td>
					<td class="sector" data-sector="2"><span class="vt">2 to 1</span></td>
				</tr>
				<tr class="nums">
					<td class="hidden"></td>
					<td class="num"><span ref="num":class="{activeRed: hoveredRed, activeToTwelve: hoveredFirstTwelve, activeInvent: hoveredInvent, activeThirdRow: hoveredThirdRow, first_four: first_four, six_line_0: six_line_0, street_0, street_2, num_1}" class="red">1</span></td>
					<td class="num"><span  ref="num":class="{activeRed: hoveredBlack, activeEvenNums: hoveredEvenNums, activeToTwelve: hoveredFirstTwelve, activeThirdRow: hoveredThirdRow, six_line_0, six_line_1, street_3, num_4}" class="black">4</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeToTwelve: hoveredFirstTwelve, activeInvent: hoveredInvent, activeThirdRow: hoveredThirdRow, six_line_1, six_line_2, street_4, num_7}" class="red">7</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeEvenNums: hoveredEvenNums, activeToTwelve: hoveredFirstTwelve, activeThirdRow: hoveredThirdRow, six_line_2, six_line_3, street_5, num_10}" class="black">10</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeInvent: hoveredInvent, activeSecondTwelve: hoveredSecondTwelve, activeToTwelve: hoveredFirstTwelve, activeThirdRow: hoveredThirdRow, six_line_3, six_line_4, street_6, num_13}" class="black">13</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeEvenNums: hoveredEvenNums, activeSecondTwelve: hoveredSecondTwelve, activeToTwelve: hoveredFirstTwelve, activeThirdRow: hoveredThirdRow, six_line_4, six_line_5, street_7, num_16}" class="red">16</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeInvent: hoveredInvent, activeToThirtySix: hoveredToThirtySix, activeSecondTwelve: hoveredSecondTwelve, activeThirdRow: hoveredThirdRow, six_line_5, six_line_6, street_8, num_19}" class="red">19</span></td>
					<td class="num"><span  :class="{activeRed: hoveredBlack, activeEvenNums: hoveredEvenNums, activeToThirtySix: hoveredToThirtySix, activeSecondTwelve: hoveredSecondTwelve, activeThirdRow: hoveredThirdRow, six_line_6, six_line_7, street_9, num_22}" class="black">22</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeInvent: hoveredInvent, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeThirdRow: hoveredThirdRow, six_line_7, six_line_8, street_10, num_25}" class="red">25</span></td>
					<td class="num"><span :class="{activeRed: hoveredBlack, activeEvenNums: hoveredEvenNums, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeThirdRow: hoveredThirdRow, six_line_8, six_line_9, street_11, num_28}" class="black">28</span></td>
					<td class="num"><span :class="{activeRed: hoveredBlack, activeInvent: hoveredInvent, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeThirdRow: hoveredThirdRow, six_line_9, six_line_10, street_12, num_31}" class="black">31</span></td>
					<td class="num"><span :class="{activeRed: hoveredRed, activeEvenNums: hoveredEvenNums, activeToThirtySix: hoveredToThirtySix, activeThirdTwelve: hoveredThirdTwelve, activeThirdRow: hoveredThirdRow, six_line_10, street_13, num_34}" class="red">34</span></td>
					<td class="sector" data-sector="3"><span class="vt">2 к 1</span></td>
				</tr>
				<tr>
					<td class="empty"></td>
					<td colspan="4" class="sector" data-sector="4">Первая 12</td>
					<td colspan="4" class="sector" data-sector="5">Вторая 12</td>
					<td colspan="4" class="sector" data-sector="6">Третья 12</td>
					<td class="empty"></td>
				</tr><tr>
					<td class="empty"></td>
					<td colspan="2" class="sector" data-sector="7">1 до 18</td>
					<td colspan="2" class="sector" data-sector="8">Чёт</td>
					<td colspan="2" class="sector" data-sector="9">
            <img src="../../assets/img/table/red-rhombus.png" alt="#">
          </td>
					<td colspan="2" class="sector" data-sector="10"><img src="../../assets/img/table/black-rhombus.png" alt="#"></td>
					<td colspan="2" class="sector" @mouseover="hoveredInvent = true" @mouseleave="hoveredInvent = false" data-sector="11">Нечёт</td>
					<td colspan="2" class="sector" data-sector="12">19 до 36</td>
					<td class="empty"></td>
				</tr>
			</table>
			<div class="controlls">
				<div  @click="setBetsTable" @mouseover="num_0 = true" @mouseleave="num_0 = false" class="btn btn-zero" data-num="0"></div>
				<!-- col6 -->
				<div class="col1">
					<div class="row1">
						<div class="btn v rm cv"  data-num="0,3"></div>
						<div class="btn m rm cm"  @mouseover="num_3 = true" @mouseleave="num_3 = false" data-num="3"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="0,2,3" @mouseover="street_1 = true" @mouseleave="street_1 = false"></div>
						<div class="btn v rm cv" data-num="0,2"></div>
						<div class="btn h rh cm"  data-num="2,3"></div>
						<div class="btn m rm cm" @mouseover="num_2 = true" @mouseleave="num_2 = false" data-num="2"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="0,1,2" @mouseover="street_0 = true" @mouseleave="street_0 = false"></div>
						<div class="btn v rm cv " data-num="0,1"></div>
						<div class="btn c rb cv" data-num="0,1,2,3"  @mouseover="first_four = true" @mouseleave="first_four = false"></div>
						<div class="btn h rh cm"  data-num="1,2"></div>
						<div class="btn m rm cm" @mouseover="num_1 = true" @mouseleave="num_1 = false" data-num="1"></div>
						<div class="btn h rb cm" data-num="1,2,3" @mouseover="street_2 = true" @mouseleave="street_2 = false"></div>
					</div>
					<div class="row4">
						<div class="btn ms4 rm cm" data-type="sector" data-sector="4" @mouseover="hoveredFirstTwelve = true" @mouseleave="hoveredFirstTwelve = false"></div>
					</div>
					<div class="row5">
						<div class="btn ms2 rm cm" data-type="sector" @mouseover="hoveredFirstTwelve = true" @mouseleave="hoveredFirstTwelve = false" data-sector="7"></div>
					</div>
				</div>
				<!-- col2 -->
				<div class="col2">
					<div class="row1">
						<div class="btn v rm cv" data-num="3,6"></div>
						<div class="btn m rm cm" @click="addToBets" @mouseover="num_6 = true" @mouseleave="num_6 = false" data-num="6"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="2,3,5,6"></div>
						<div class="btn v rm cv" data-num="2,5"></div>
						<div class="btn h rh cm" data-num="5,6"></div>
						<div class="btn m rm cm" @mouseover="num_5 = true" @mouseleave="num_5 = false" data-num="5"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="1,2,4,5"></div>
						<div class="btn v rm cv" data-num="1,4"></div>
						<div class="btn c rb cv" data-num="1,2,3,4,5,6" @mouseover="six_line_0 = true" @mouseleave="six_line_0 = false"></div>
						<div class="btn h rh cm" data-num="4,5"></div>
						<div class="btn m rm cm" @mouseover="num_4 = true" @mouseleave="num_4 = false" data-num="4"></div>
						<div class="btn h rb cm" data-num="4,5,6" @mouseover="street_3 = true" @mouseleave="street_3 = false"></div>
					</div>
				</div>
				<!-- col3 -->
				<div class="col3">
					<div class="row1">
						<div class="btn v rm cv" data-num="6,9"></div>
						<div class="btn m rm cm" @mouseover="num_9 = true" @mouseleave="num_9 = false" data-num="9"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="5,6,8,9"></div>
						<div class="btn v rm cv" data-num="5,8"></div>
						<div class="btn h rh cm" data-num="8,9"></div>
						<div class="btn m rm cm" @mouseover="num_8 = true" @mouseleave="num_8 = false" data-num="8"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="4,5,7,8"></div>
						<div class="btn v rm cv" data-num="4,7"></div>
						<div class="btn c rb cv" data-num="4,5,6,7,8,9" @mouseover="six_line_1 = true" @mouseleave="six_line_1 = false"></div>
						<div class="btn h rh cm" data-num="7,8"></div>
						<div class="btn m rm cm" @mouseover="num_7 = true" @mouseleave="num_7 = false" data-num="7"></div>
						<div class="btn h rb cm" data-num="7,8,9" @mouseover="street_4 = true" @mouseleave="street_4 = false"></div>
					</div>
					<div class="row5">
						<div class="btn ms2 rm cm" @mouseover="hoveredEvenNums = true" @mouseleave="hoveredEvenNums = false" data-type="sector" data-sector="8"></div>
					</div>
				</div>
				<!-- col4 -->
				<div class="col4">
					<div class="row1">
						<div class="btn v rm cv" data-num="9,12"></div>
						<div class="btn m rm cm" @mouseover="num_12 = true" @mouseleave="num_12 = false" data-num="12"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="8,9,11,12"></div>
						<div class="btn v rm cv" data-num="8,11"></div>
						<div class="btn h rh cm" data-num="11,12"></div>
						<div class="btn m rm cm" @mouseover="num_11 = true" @mouseleave="num_11 = false" data-num="11"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="7,8,10,11"></div>
						<div class="btn v rm cv" data-num="7,10"></div>
						<div class="btn c rb cv" data-num="7,8,9,10,11,12" @mouseover="six_line_2 = true" @mouseleave="six_line_2 = false"></div>
						<div class="btn h rh cm" data-num="10,11"></div>
						<div class="btn m rm cm" @mouseover="num_10 = true" @mouseleave="num_10 = false" data-num="10"></div>
						<div class="btn h rb cm" data-num="10,11,12" @mouseover="street_5 = true" @mouseleave="street_5 = false"></div>
					</div>
				</div>
				<!-- col5 -->
				<div class="col5">
					<div class="row1">
						<div class="btn v rm cv" data-num="12,15"></div>
						<div class="btn m rm cm" @mouseover="num_15 = true" @mouseleave="num_15 = false" data-num="15"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="11,12,14,15"></div>
						<div class="btn v rm cv" data-num="11,14"></div>
						<div class="btn h rh cm" data-num="14,15"></div>
						<div class="btn m rm cm" @mouseover="num_14 = true" @mouseleave="num_14 = false" data-num="14"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="10,11,13,14"></div>
						<div class="btn v rm cv" data-num="10,13"></div>
						<div class="btn c rb cv" data-num="10,11,12,13,14,15" @mouseover="six_line_3 = true" @mouseleave="six_line_3 = false"></div>
						<div class="btn h rh cm" data-num="13,14"></div>
						<div class="btn m rm cm" @mouseover="num_13 = true" @mouseleave="num_13 = false" data-num="13"></div>
						<div class="btn h rb cm" data-num="13,14,15" @mouseover="street_6 = true" @mouseleave="street_6 = false"></div>
					</div>
					<div class="row4">
						<div class="btn ms4 rm cm" data-type="sector" data-sector="5" @mouseover="hoveredSecondTwelve = true" @mouseleave="hoveredSecondTwelve = false"></div>
					</div>
					<div class="row5">
						<div class="btn ms2 rm cm" data-type="sector" data-sector="9" @mouseover="hoveredRed = true" @mouseleave="hoveredRed = false"></div>
					</div>
				</div>
				<!-- col6 -->
				<div class="col6">
					<div class="row1">
						<div class="btn v rm cv" data-num="15,18"></div>
						<div class="btn m rm cm" @mouseover="num_18 = true" @mouseleave="num_18 = false" data-num="18"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="14,15,17,18"></div>
						<div class="btn v rm cv" data-num="14,17"></div>
						<div class="btn h rh cm" data-num="17,18"></div>
						<div class="btn m rm cm" @mouseover="num_17 = true" @mouseleave="num_17 = false" data-num="17"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="13,14,16,17"></div>
						<div class="btn v rm cv" data-num="13,16"></div>
						<div class="btn c rb cv" data-num="13,14,15,16,17,18" @mouseover="six_line_4 = true" @mouseleave="six_line_4 = false"></div>
						<div class="btn h rh cm" data-num="16,17"></div>
						<div class="btn m rm cm" @mouseover="num_16 = true" @mouseleave="num_16 = false" data-num="16"></div>
						<div class="btn h rb cm" data-num="16,17,18" @mouseover="street_7 = true" @mouseleave="street_7 = false"></div>
					</div>
				</div>
				<!-- col7 -->
				<div class="col7">
					<div class="row1">
						<div class="btn v rm cv" data-num="18,21"></div>
						<div class="btn m rm cm" @mouseover="num_21 = true" @mouseleave="num_21 = false" data-num="21"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="17,18,20,21"></div>
						<div class="btn v rm cv" data-num="17,20"></div>
						<div class="btn h rh cm" data-num="20,21"></div>
						<div class="btn m rm cm" @mouseover="num_20 = true" @mouseleave="num_20 = false" data-num="20"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="16,17,19,20"></div>
						<div class="btn v rm cv" data-num="16,19"></div>
						<div class="btn c rb cv" data-num="16,17,18,19,20,21" @mouseover="six_line_5 = true" @mouseleave="six_line_5 = false"></div>
						<div class="btn h rh cm" data-num="19,20"></div>
						<div class="btn m rm cm" @mouseover="num_19 = true" @mouseleave="num_19 = false" data-num="19"></div>
						<div class="btn h rb cm" data-num="19,20,21" @mouseover="street_8 = true" @mouseleave="street_8 = false"></div>
					</div>
					<div class="row5">
						<div class="btn ms2 rm cm" @mouseover="hoveredBlack = true" @mouseleave="hoveredBlack = false" data-type="sector" data-sector="10"></div>
					</div>
				</div>
				<!-- col8 -->
				<div class="col8">
					<div class="row1">
						<div class="btn v rm cv" data-num="21,24"></div>
						<div class="btn m rm cm" @mouseover="num_24 = true" @mouseleave="num_24 = false" data-num="24"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="20,21,23,24"></div>
						<div class="btn v rm cv" data-num="20,23"></div>
						<div class="btn h rh cm" data-num="23,24"></div>
						<div class="btn m rm cm" @mouseover="num_23 = true" @mouseleave="num_23 = false" data-num="23"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="19,20,22,23"></div>
						<div class="btn v rm cv" data-num="19,22"></div>
						<div class="btn c rb cv" data-num="19,20,21,22,23,24" @mouseover="six_line_6 = true" @mouseleave="six_line_6 = false"></div>
						<div class="btn h rh cm" data-num="22,23"></div>
						<div class="btn m rm cm" @mouseover="num_22 = true" @mouseleave="num_22 = false" data-num="22"></div>
						<div class="btn h rb cm" data-num="22,23,24" @mouseover="street_9 = true" @mouseleave="street_9 = false"></div>
					</div>
				</div>
				<!-- col9 -->
				<div class="col9">
					<div class="row1">
						<div class="btn v rm cv" data-num="24,27"></div>
						<div class="btn m rm cm" @mouseover="num_27 = true" @mouseleave="num_27 = false" data-num="27"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="23,24,26,27"></div>
						<div class="btn v rm cv" data-num="23,26"></div>
						<div class="btn h rh cm" data-num="26,27"></div>
						<div class="btn m rm cm" @mouseover="num_26 = true" @mouseleave="num_26 = false" data-num="26"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="22,23,25,26"></div>
						<div class="btn v rm cv" data-num="22,25"></div>
						<div class="btn c rb cv" data-num="22,23,24,25,26,27" @mouseover="six_line_7 = true" @mouseleave="six_line_7 = false"></div>
						<div class="btn h rh cm" data-num="25,26"></div>
						<div class="btn m rm cm" @mouseover="num_25 = true" @mouseleave="num_25 = false" data-num="25"></div>
						<div class="btn h rb cm" data-num="25,26,27" @mouseover="street_10 = true" @mouseleave="street_10 = false"></div>
					</div>
					<div class="row4">
						<div class="btn ms4 rm cm" data-type="sector" data-sector="6" @mouseover="hoveredThirdTwelve = true" @mouseleave="hoveredThirdTwelve = false"></div>
					</div>
					<div class="row5">
						<div class="btn ms2 rm cm" data-type="sector" data-sector="11" @mouseover="hoveredInvent = true" @mouseleave="hoveredInvent = false"></div>
					</div>
				</div>
				<!-- col10 -->
				<div class="col10">
					<div class="row1">
						<div class="btn v rm cv" data-num="27,30"></div>
						<div class="btn m rm cm" @mouseover="num_30 = true" @mouseleave="num_30 = false" data-num="30"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="26,27,29,30"></div>
						<div class="btn v rm cv" data-num="26,29"></div>
						<div class="btn h rh cm" data-num="29,30"></div>
						<div class="btn m rm cm" @mouseover="num_29 = true" @mouseleave="num_29 = false" data-num="29"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="25,26,28,29"></div>
						<div class="btn v rm cv" data-num="25,28"></div>
						<div class="btn c rb cv" data-num="25,26,27,28,29,30" @mouseover="six_line_8 = true" @mouseleave="six_line_8 = false"></div>
						<div class="btn h rh cm" data-num="28,29"></div>
						<div class="btn m rm cm" @mouseover="num_28 = true" @mouseleave="num_28 = false" data-num="28"></div>
						<div class="btn h rb cm" data-num="28,29,30" @mouseover="street_11 = true" @mouseleave="street_11 = false"></div>
					</div>
				</div>
				<!-- col11 -->
				<div class="col11">
					<div class="row1">
						<div class="btn v rm cv" data-num="30,33"></div>
						<div class="btn m rm cm" @mouseover="num_33 = true" @mouseleave="num_33 = false" data-num="33"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="29,30,32,33"></div>
						<div class="btn v rm cv" data-num="29,32"></div>
						<div class="btn h rh cm" data-num="32,33"></div>
						<div class="btn m rm cm" @mouseover="num_32 = true" @mouseleave="num_32 = false" data-num="32"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="28,29,31,32"></div>
						<div class="btn v rm cv" data-num="28,31"></div>
						<div class="btn c rb cv" data-num="28,29,30,31,32,33" @mouseover="six_line_9 = true" @mouseleave="six_line_9 = false"></div>
						<div class="btn h rh cm" data-num="31,32"></div>
						<div class="btn m rm cm" @mouseover="num_31 = true" @mouseleave="num_31 = false" data-num="31"></div>
						<div class="btn h rb cm" data-num="31,32,33" @mouseover="street_12 = true" @mouseleave="street_12 = false"></div>
					</div>
					<div class="row5">
						<div class="btn ms2 rm cm" data-type="sector" data-sector="12" @mouseover="hoveredToThirtySix = true" @mouseleave="hoveredToThirtySix = false"></div>
					</div>
				</div>
				<!-- col12 -->
				<div class="col12">
					<div class="row1">
						<div class="btn v rm cv" data-num="33,36"></div>
						<div class="btn m rm cm" @mouseover="num_36 = true" @mouseleave="num_36 = false" data-num="36"></div>
					</div>
					<div class="row2">
						<div class="btn c rh cv" data-num="32,33,35,36"></div>
						<div class="btn v rm cv" data-num="32,35"></div>
						<div class="btn h rh cm" data-num="35,36"></div>
						<div class="btn m rm cm" @mouseover="num_35 = true" @mouseleave="num_35 = false" data-num="35"></div>
					</div>
					<div class="row3">
						<div class="btn c rh cv" data-num="31,32,34,35"></div>
						<div class="btn v rm cv" data-num="31,34"></div>
						<div class="btn c rb cv" data-num="31,32,33,34,35,36" @mouseover="six_line_10 = true" @mouseleave="six_line_10 = false"></div>
						<div class="btn h rh cm" data-num="34,35"></div>
						<div class="btn m rm cm" @mouseover="num_34 = true" @mouseleave="num_34 = false"data-num="34"></div>
						<div class="btn h rb cm" data-num="34,35,36" @mouseover="street_13 = true" @mouseleave="street_13 = false"></div>
					</div>
				</div>
				<!-- col13 -->
				<div class="col13">
					<div class="row1">
						<div class="btn m rm cm" data-type="sector" data-sector="1" @mouseover="hoveredFirstRow = true" @mouseleave="hoveredFirstRow = false"></div>
					</div>
					<div class="row2">
						<div class="btn m rm cm" data-type="sector" data-sector="2" @mouseover="hoveredSecondRow = true" @mouseleave="hoveredSecondRow = false"></div>
					</div>
					<div class="row3">
						<div class="btn m rm cm" data-type="sector" data-sector="3" @mouseover="hoveredThirdRow = true" @mouseleave="hoveredThirdRow = false"></div>
					</div>
				</div>
			</div>
		</div>
  </div>
</template>

<script>
import {mapActions} from 'vuex';
  export default {
    props: ['bets'],
    methods: {
      setBetsTable(split_1) {
        this.setBets(this.split_1);
        console.log('add split_1');
        // return this.betValues.reduce(function (sum, betValue){
        //   return sum + betValue
        // }, 0
        // )
      },
      addToBets(split_2) {
        this.setBets(this.split_2);
        console.log('add split_2');
      },

      ...mapActions('User', [
          'roomOne',
          'initUser',
          'login',
          'setBets'
        ]
      )
    },
    data() {
      return {
        hoveredRed: false,hoveredBlack: false,hoveredEvenNums: false,hoveredFirstTwelve:false,
        hoveredInvent: false,hoveredToThirtySix: false,hoveredSecondTwelve: false,
        hoveredThirdTwelve: false,hoveredFirstRow: false,hoveredSecondRow: false,hoveredThirdRow: false,

        first_four: false,
        six_line_0: false,six_line_1:false,six_line_2:false,six_line_3:false,
        six_line_4:false,six_line_5:false,six_line_6:false,six_line_7:false,
        six_line_8:false,six_line_9:false,six_line_10:false,

        street_0: false,street_1: false,
        street_2: false,street_3: false,street_4: false,street_5: false,
        street_6: false,street_7: false,street_8: false,street_9: false,
        street_10: false,street_11: false,street_12: false,street_13: false,

        num_0:false,num_1: false,num_2: false,num_3: false,num_4: false,num_5: false,num_6: false,
        num_7: false,num_8: false,num_9: false,num_10: false,num_11: false,num_12: false,
        num_13: false,num_14: false,num_15: false,num_16: false,num_17: false,num_18: false,
        num_19: false,num_20: false,num_21: false,num_22: false,num_23: false,num_24: false,
        num_25: false,num_26: false,num_27: false,num_28: false,num_29: false,num_30: false,
        num_31: false,num_32: false,num_33: false,num_34: false,num_35: false,num_36: false,


            split_1: 666,
            split_2: 10,
      }
    }
  }
</script>

<style lang="scss" scoped>
  .num_0,.num_1,.num_2,.num_3,.num_4,.num_5,.num_6,.num_7
  ,.num_8,.num_9,.num_10,.num_11,.num_12,.num_13
  ,.num_14,.num_15,.num_16,.num_17,.num_18,.num_19
  ,.num_20,.num_21,.num_22,.num_23,.num_24,.num_25
  ,.num_26,.num_27,.num_28,.num_29,.num_30,.num_31
  ,.num_32,.num_33,.num_34,.num_35,.num_36 {
    box-shadow: 0px 0px 20px 0px white;
    transform: scale(1.03);
    border: 1px solid yellow;
  }

  .active,.activeFirstRow,.activeSecondRow,
  .activeThirdRow,.activeThirdTwelve,.activeSecondTwelve,
  .activeToThirtySix,.activeInvent,.activeToTwelve,
  .activeEvenNums,.activeRed,.activeBlack {
    box-shadow: 0px 0px 20px 0px white;
    transform: scale(1.03);
    border: 1px solid yellow;
  }

  .six_line_0,.six_line_1,.six_line_2,.six_line_3,
  .six_line_4,.six_line_5,.six_line_6,.six_line_7,
  .six_line_8,.six_line_9,.six_line_10,.first_four, {
    box-shadow: 0px 0px 20px 0px white;
    transform: scale(1.03);
    border: 1px solid yellow;
  }

  .street_0,.street_1,.street_2,.street_3,.street_4,
  .street_5,.street_6,.street_7,.street_8,.street_9,
  .street_10,.street_11,.street_12,.street_13 {
    box-shadow: 0px 0px 20px 0px white;
    transform: scale(1.03);
    border: 1px solid yellow;
  }

body.moving {
cursor: move;
}

.roulette {
display: table;
position: relative;
width: 775px;
margin: 0 0 80px 0;
padding: 0 7px 0 25px;

/*transform: rotate(90deg);
margin:300px 0 0 -230px;*/
}

.roulette table {
    width: 944px;
    height: 270px;
}

.roulette table,
tr {
border-collapse: collapse;
/*border-spacing: 0;*/
}

.roulette td {
border-spacing: 0;
border-collapse: collapse;
border: 3px solid white;
width: 50px;
height: 46px;
text-align: center;
vertical-align: middle;
font-weight: bold;
font-size: 18px;
color: white;
white-space: nowrap;
}

/* elements */
.roulette .sector {
  font-weight: bold;
  font-family: sans-serif;
}

.roulette .sector .vt {
font-size: 15px;
}

.roulette .num {
font-size: 27px;
padding: 4px;
}

.roulette .num span {
display: block;
height: 100%;
display: flex;
justify-content: center;
align-items: center;
}

.roulette .zero {
width: 35px;
font-size: 27px;
}

.roulette .empty {
border: none;
}

/* colors */

.roulette .red {
background: #D10000;
}

.roulette .black {
background: #000000;
}

/* cells hovers */
.roulette .sector.hover,
.roulette .num.hover {
font-size: 26px;
-moz-box-shadow: inset 0 0 5px #FFF, inset 0 0 5px #FFF;
-webkit-box-shadow: inset 0 0 5px #FFF, inset 0 0 5px #FFF;
box-shadow: inset 0 0 5px #FFF, inset 0 0 5px #FFF;
}

.roulette .sector.hover .vt {
font-size: 17px;
}

.roulette .sector.hover {
font-size: 22px;
background: #1C9022 !important;
color: #FBEC0F !important;
}

.roulette .green.hover {
font-size: 68px;
background: #3CC042 !important;
color: #FBEC0F !important;
}

.roulette .red.hover {
background: #C00 !important;
color: #FBEC0F !important;
}

.roulette .black.hover {
background: #000 !important;
color: #FBEC0F !important;
}

/* orientation */
.roulette .vt {
display: block;
transform: rotate(270deg);
white-space: nowrap;
}

/* controlls */
.roulette .controlls {
width: 96%;
height: 100%;
position: absolute;
top: 0;
left: 28px;
opacity: 0;
}

.roulette .controlls .btn {
/*opacity: 0.5;*/
position: absolute;
cursor: pointer;
z-index: 1;
}

/* zero */
.roulette .controlls .btn-zero {
width: 56px;
height: 174px;
z-index: 0;
}

/* positions */
.roulette .controlls .h {
width: 37px;
height: 15px;
}

.roulette .controlls .v {
width: 8px;
height: 35px;
}

.roulette .controlls .c {
width: 17px;
height: 15px;
}

.roulette .controlls .m {
width: 57px;
height: 46px;
margin-top: -7px;
margin-left: -10px;
z-index: 0;
}

.roulette .controlls .ms4 {
width: 267px;
height: 50px;
margin-top: -7px;
margin-left: -10px;
z-index: 0;
}

.roulette .controlls .ms2 {
width: 135px;
height: 50px;
margin-top: -7px;
margin-left: -10px;
z-index: 0;
}

/* rows */
.roulette .controlls .row1 .rh {
top: -7px;
}

.roulette .controlls .row1 .rm {
top: 14px;
}

.roulette .controlls .row2 .rh {
top: 51px;
}

.roulette .controlls .row2 .rm {
top: 71px;
}

.roulette .controlls .row3 .rh {
top: 109px;
}

.roulette .controlls .row3 .rm {
top: 130px;
}

.roulette .controlls .row3 .rb {
top: 164px;
}

.roulette .controlls .row4 .rm {
top: 181px;
}

.roulette .controlls .row5 .rm {
top: 231px;
}

/* cols */
.roulette .controlls .col1 .cv {
left: 53px;
}

.roulette .controlls .col1 .cm {
left: 73px;
}

.roulette .controlls .col2 .cv {
left: 120px;
}

.roulette .controlls .col2 .cm {
left: 141px;
}

.roulette .controlls .col3 .cv {
left: 189px;
}

.roulette .controlls .col3 .cm {
left: 209px;
}

.roulette .controlls .col4 .cv {
left: 257px;
}

.roulette .controlls .col4 .cm {
left: 277px;
}

.roulette .controlls .col5 .cv {
left: 325px;
}

.roulette .controlls .col5 .cm {
left: 345px;
}

.roulette .controlls .col6 .cv {
left: 393px;
}

.roulette .controlls .col6 .cm {
left: 413px;
}

.roulette .controlls .col7 .cv {
left: 460px;
}

.roulette .controlls .col7 .cm {
left: 481px;
}

.roulette .controlls .col8 .cv {
left: 529px;
}

.roulette .controlls .col8 .cm {
left: 549px;
}

.roulette .controlls .col9 .cv {
left: 597px;
}

.roulette .controlls .col9 .cm {
left: 617px;
}

.roulette .controlls .col10 .cv {
left: 666px;
}

.roulette .controlls .col10 .cm {
left: 685px;
}

.roulette .controlls .col11 .cv {
left: 733px;
}

.roulette .controlls .col11 .cm {
left: 750px;
}

.roulette .controlls .col12 .cv {
left: 803px;
}

.roulette .controlls .col12 .cm {
left: 824px;
}

.roulette .controlls .col13 .cm {
left: 890px;
}

/* others */
.hidden {
display: none;
}

</style>
